Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1066968 - RESTEasy Spring integration doesn't work with Spring 4
Summary: RESTEasy Spring integration doesn't work with Spring 4
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: RESTEasy
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: Weinan Li
QA Contact: nobody nobody
URL:
Whiteboard:
Depends On: 1063657
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-19 12:14 UTC by Tomas Repel
Modified: 2017-10-10 00:11 UTC (History)
1 user (show)

Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-24 14:27:21 UTC
Type: Bug


Attachments (Terms of Use)

Description Tomas Repel 2014-02-19 12:14:30 UTC
Description of problem:

RESTEasy Spring integration doesn't work with Spring Framework 4.0.x. For more details see https://issues.jboss.org/browse/JDF-631


Version-Release number of selected component (if applicable):

Spring Framework 4.0.1.RELEASE
EAP 6.2.0.GA
resteasy-spring-2.3.7.Final-redhat-2

How reproducible:

Always.

Steps to Reproduce:
1. https://github.com/jboss-developer/jboss-wfk-quickstarts/tree/2.5.x-develop/spring-resteasy
2. run integration tests of example

Actual results:

It fails.

Expected results:

It should pass.

Comment 1 Petr Sakař 2014-02-19 12:19:08 UTC
Patch already merged upstream. Will be part of resteasy 2.3.8 which will be used in 6.2.2 and 6.3.0

Comment 2 Weinan Li 2014-02-20 13:37:21 UTC
2.3.8.Final built.

Comment 4 Weinan Li 2014-03-03 15:22:30 UTC
+1 to close


Note You need to log in before you can comment on or make changes to this bug.